"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var h=Object.create;var p=Object.defineProperty;var f=Object.getOwnPropertyDescriptor;var g=Object.getOwnPropertyNames;var b=Object.getPrototypeOf,v=Object.prototype.hasOwnProperty;var _=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports);var d=(t,e,s,i)=>{if(e&&typeof e=="object"||typeof e=="function")for(let r of g(e))!v.call(t,r)&&r!==s&&p(t,r,{get:()=>e[r],enumerable:!(i=f(e,r))||i.enumerable});return t};var y=(t,e,s)=>(s=t!=null?h(b(t)):{},d(e||!t||!t.__esModule?p(s,"default",{value:t,enumerable:!0}):s,t));var w=_((M,u)=>{u.exports=Vue});var o=y(w());function m(t,e,...s){uni.__log__?uni.__log__(t,e,...s):console[t].apply(console,[...s,e])}var S=(t,e)=>{let s=t.__vccOpts||t;for(let[i,r]of e)s[i]=r;return s},k={data(){return{tc:0,webviewStyles:{progress:{color:"#FF333333"}},barHeight:0,referrer:"",nowUrl:"",host:""}},onPullDownRefresh(){this.refreshPage()},onLoad(){uni.getSystemInfo({success:t=>{t.windowHeight},complete:()=>{}}),setTimeout(()=>{this.$scope.$getAppWebview(),this.barHeight=plus.navigator.getStatusbarHeight()},500)},onBackPress(t){if(this.goBack(),!(this.referrer==this.host&&this.nowUrl==this.referrer))return!0},methods:{clear(){plus.cache.clear()},onMessage(t){let e=t.detail.data[0];m("log","at pages/index/index.nvue:54",e),e.type==="videoFullscreen"?e.isFullscreen?this.lockOrientation("landscape"):this.lockOrientation("portrait"):e.type==="history"&&(this.host||(this.host=e.url),this.referrer=e.referrer=="https://gr586.com/"?this.host:e.referrer,this.nowUrl=e.url)},lockOrientation(t){typeof plus!="undefined"&&typeof plus.screen!="undefined"&&plus.screen.lockOrientation(t)},refreshPage(){this.$refs.webview.src=this.webviewSrc;let t=this.$refs.webview;this.clear(),t.evalJS("location.reload();"),uni.stopPullDownRefresh()},goBack(){this.$refs.webview.evalJS("history.back();")}}};function x(t,e,s,i,r,n){return(0,o.openBlock)(),(0,o.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,o.createElementVNode)("view",{class:"content"},[(0,o.createElementVNode)("u-web-view",{webviewStyles:r.webviewStyles,style:(0,o.normalizeStyle)([{position:"fixed",left:"0",right:"0",top:"0",bottom:"0"},{top:r.barHeight+"px"}]),ref:"webview",src:"https://gr586.com/viapp.html",onMessage:e[0]||(e[0]=(...a)=>n.onMessage&&n.onMessage(...a)),"on:onPostMessage":e[1]||(e[1]=(...a)=>n.onMessage&&n.onMessage(...a))},null,44,["webviewStyles"])])])}var l=S(k,[["render",x]]);var c=plus.webview.currentWebview();if(c){let t=parseInt(c.id),e="pages/index/index",s={};try{s=JSON.parse(c.__query__)}catch(r){}l.mpType="page";let i=Vue.createPageApp(l,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:e,__pageQuery:s});i.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...l.styles||[]])),i.mount("#root")}})();
